#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/core_perl'
echo 'name: tf-random
version: 0.4
id: tf-random-0.4-1b5678f2d3feb4ff5d029631ae0449e0

license: BSD3
copyright:
maintainer: Michał Pałka <michal.palka@chalmers.se>
stability:
homepage:
package-url:
synopsis: High-quality splittable pseudorandom number generator
description: This package contains an implementation of a high-quality splittable pseudorandom number generator. The generator is based on a cryptographic hash function built on top of the ThreeFish block cipher. See the paper /Splittable Pseudorandom Number Generators Using Cryptographic Hashing/ by Claessen, Pałka for details and the rationale of the design.
             .
             The package provides the following:
             .
             * A splittable PRNG that implements the standard '\''System.Random.RandomGen'\'' class.
             .
             * The generator also implements an alternative version of the '\''System.Random.TF.Gen.RandomGen'\'' class (exported from "System.Random.TF.Gen"), which requires the generator to return pseudorandom integers from the full 32-bit range, and contains an n-way split function.
             .
             * An alternative version of the @Random@ class is provided, which is linked to the new @RandomGen@ class, together with @Random@ instances for some integral types.
             .
             * Two functions for initialising the generator with a non-deterministic seed: one using the system time, and one using the @\/dev\/urandom@ UNIX special file.
             .
             The package uses an adapted version of the reference C implementation of ThreeFish from the reference package of the Skein hash function (<https://www.schneier.com/skein.html>), originally written by Doug Whiting.
             .
             Please note that even though the generator provides very high-quality pseudorandom numbers, it has not been designed with cryptographic applications in mind.
category: Random
author: Michał Pałka <michal.palka@chalmers.se>
exposed: True
exposed-modules: System.Random.TF System.Random.TF.Gen
                 System.Random.TF.Init System.Random.TF.Instances
hidden-modules:
trusted: False
import-dirs: /usr/lib/ghc-7.8.2/site-local/tf-random-0.4
library-dirs: /usr/lib/ghc-7.8.2/site-local/tf-random-0.4
hs-libraries: HStf-random-0.4
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.0-018311399e3b6350d5be3a16b144df9b
         primitive-0.5.2.1-c7c18ac2e601cda177da239540c90964
         random-1.0.1.1-6ee738046e61b4cfbe8ae4a5ddcd83ac
         time-1.4.2-b47642c633af921325b5eb4d5824b9de
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/haskell-tf-random/html/tf-random.haddock
haddock-html: /usr/share/doc/haskell-tf-random/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
